# IMCA-CAT Shipment Tool

IMCA-CAT Shipment Tool is a program for reading and writing IMCA-CAT SynchWeb
shipment CSV files (a.k.a. IMCA-CAT Mail-In Manager shipment CSV files).

## Dependencies

* Ruby >= 2.0
* Rake >= 0.9.6 (Build)
* mandoc >= 1.14.2 (Build)
* Bundler >= 1.7.8 (Test)

## Configure, Build, and Install

```
$ rake configure
$ rake
$ rake install
```

Run `rake help` for a list of environment variables that affect the build.

Most of the environment variables are self-explanatory, but the following need
a little more explanation:

* `IMCASHIPT_PLATFORM`: Allowed values are `UNIX-Like` or `Windows`.

* `IMCASHIPT_RELOCATABLE`: If set to `yes`, any environment variables
  controlling the location of installed files are only permitted to be set to
  paths that have the `prefix` path as a common ancestor.

To use a different prefix:

```
$ rake prefix=/opt/local configure
```

To use the `DESTDIR` environment variable for a staged install:

```
$ rake DESTDIR=/tmp/stage install
```

## Clean and Clobber

Remove intermediate files:

```
$ rake clean
```

Remove intermediate files (i.e., what the `clean` task does) as well as final
product files:

```
$ rake clobber
```

## Running Tests

To run the tests:

1. Install the dependencies:

   ```
   $ bundle install
   ```

2. Run all tests:

   ```
   $ bundle exec ruby run_test.rb
   ```

   Or, if the build has been configured:

   ```
   $ rake check
   ```

## Maintainer Tasks

Make a distfile:

```
$ rake dist
```
